Browse Source

Packaging maintenance

* Declare compliance with policy 4.4.1
* Bump debhelper compat level to 12, remove debian/compat
* Set R³: no
Christoph Biedl 1 year ago
parent
commit
522638db3c
2 changed files with 3 additions and 3 deletions
  1. 0 1
      debian/compat
  2. 3 2
      debian/control

+ 0 - 1
debian/compat

@@ -1 +0,0 @@
-11

+ 3 - 2
debian/control

@@ -1,16 +1,17 @@
 Source: bgpdump
 Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
 Homepage: https://bitbucket.org/ripencc/bgpdump/wiki/Home
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Vcs-Browser: https://git.in-ulm.de/cbiedl/bgpdump
 Vcs-Git: https://git.in-ulm.de/cbiedl/bgpdump.git
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
     asciidoctor,
     libbsd-dev,
     libbz2-dev,
     zlib1g-dev,
 Priority: optional
 Section: admin
+Rules-Requires-Root: no
 
 Package: bgpdump
 Architecture: any